@charset "UTF-8";
/* CSS Document */
	#button {
	margin: 60px auto;
	display: block;
	position: relative;
	width: 200px;
	line-height: 40px;
	padding: ;
	color: #FC0;
	font-family: "Palatino Linotype", "Book Antiqua", Palatino, serif;
	font-weight: 300;
	font-size:25px;
	text-shadow: 1px 1px 1px hsla(0,100%,0%,0.5);
	text-decoration: none;
	border: 5px solid #888;
	background-image: -moz-linear-gradient(to bottom right, red, rgba(0,0,0,0));
	
	-moz-border-radius: 25px;
	-webkit-border-radius: 25px;
	border-radius: 25px;
	-moz-background-clip: padding;
	-webkit-background-clip: padding;
	background-clip: padding-box;
	-webkit-transform: rotate(720deg) rotateY(0);
	-webkit-transition: all 0.5s;
	-webkit-transition-timing-function: cubic-bezier(1, 0.8, 0.5, 1);
	-webkit-transition-delay: 0.5s;
	-moz-transform: rotate(720deg);
	-moz-transition: all 0.5s;
	-moz-transition-timing-function: cubic-bezier(1, 0.8, 0.5, 1);
	-moz-transition-delay: 0.5s;
	-o-transform: rotate(720deg);
	-o-transition: all 0.5s;
	-o-transition-timing-function: cubic-bezier(1, 0.8, 0.5, 1);
	-o-transition-delay: 0.5s;
	z-index: 1;
	-webkit-box-shadow: inset 0 0 20px rgba(0,0,0,0.5);
		}
		
		#button:hover {
			color: #FFFFFF;
			font-family: "Palatino Linotype", "Book Antiqua", Palatino, serif;
			font-size: 30px;
			-webkit-transition: padding 0.2s, top 0.2s;
			-webkit-transform: rotate(0deg) rotateY(0);
			-webkit-transition-delay: 0;
			
			-moz-transition: padding 0.2s, top 0.2s;
			-moz-transform: rotate(0deg);
			-moz-transition-delay: 0;
			
			-o-transition: padding 0.2s, top 0.2s;
			-o-transform: rotate(0deg);
			-o-transition-delay: 0;
			
			padding:5px 5px;	
			top: -10px;		
			background-image: -moz-linear-gradient(top, #FCD500, #666), #9F8F0F);
			background-image: -webkit-gradient(linear,left top,left bottom,color-stop(0, #FCD500),color-stop(0.2, #666),color-stop(1, #9F8F0F));
		}
		#button:after {
			content: "";
			position: absolute; 
			top: 0;
			left: 0;
			bottom: 0;
			right: 0;
			background: url(noise.png) center center;
			z-index: -1;
		}
		
		#button:before {
			content: "";
			position: absolute; 
			top: -30px;
			left: -30px;
			bottom: -30px;
			right: -30px;
			-moz-border-radius: 35px;
			-webkit-border-radius: 35px;
			border-radius: 35px;
			z-index: -2;
			-webkit-transition: all 0.2s;
			-webkit-transform: rotate(0deg) rotateY(0);
			-webkit-transition-delay: 0;
			-moz-transition: all 0.2s;
			-moz-transform: rotate(0deg) rotateY(0);
			-moz-transition-delay: 0;
			-o-transition: all 0.2s;
			-o-transform: rotate(0deg) rotateY(0);
			-o-transition-delay: 0;
			-webkit-box-shadow: inset 0 0 40px rgba(0,0,0,0.1);
			-moz-box-shadow: inset 0 0 40px rgba(0,0,0,0.1);
			box-shadow: inset 0 0 40px rgba(0,0,0,0.1);
			
		}
		#button:hover:before {
			-webkit-box-shadow: inset 0 0 40px rgba(0,0,0,0.2);
			-moz-box-shadow: inset 0 0 40px rgba(0,0,0,0.2);
			box-shadow: inset 0 0 40px rgba(0,0,0,0.2);
			top: -20px;
			left: -20px;
			bottom: -20px;
			right: -20px;
		}
		#button:active {
			-webkit-box-shadow: inset 0 0 20px rgba(0,0,0,0.8);
			-moz-box-shadow: inset 0 0 20px rgba(0,0,0,0.8);
			box-shadow: inset 0 0 20px rgba(0,0,0,0.8);
		}
#button2 {
	margin: 60px auto;
	display: block;
	position: relative;
	width: 100px;
	line-height: 40px;
			padding: ;
	color: #FC0;
	font-family: "Palatino Linotype", "Book Antiqua", Palatino, serif;
	font-weight: 300;
	font-size:25px;
	text-shadow: 1px 1px 1px hsla(0,100%,0%,0.5);
	text-decoration: none;
	border: 5px solid #888;
	background-image: -moz-linear-gradient(to bottom right, red, rgba(0,0,0,0));
	
	-moz-border-radius: 25px;
	-webkit-border-radius: 25px;
	border-radius: 25px;
	-moz-background-clip: padding;
	-webkit-background-clip: padding;
	background-clip: padding-box;
	-webkit-transform: rotate(720deg) rotateY(0);
	-webkit-transition: all 0.5s;
	-webkit-transition-timing-function: cubic-bezier(1, 0.8, 0.5, 1);
	-webkit-transition-delay: 0.5s;
	-moz-transform: rotate(720deg);
	-moz-transition: all 0.5s;
	-moz-transition-timing-function: cubic-bezier(1, 0.8, 0.5, 1);
	-moz-transition-delay: 0.5s;
	-o-transform: rotate(720deg);
	-o-transition: all 0.5s;
	-o-transition-timing-function: cubic-bezier(1, 0.8, 0.5, 1);
	-o-transition-delay: 0.5s;
	z-index: 1;
	-webkit-box-shadow: inset 0 0 20px rgba(0,0,0,0.5);
		}
		#button2:hover {
			color: #FFFFFF;
			font-family: "Palatino Linotype", "Book Antiqua", Palatino, serif;
			font-size: 30px;
			-webkit-transition: padding 0.2s, top 0.2s;
			-webkit-transform: rotate(0deg) rotateY(0);
			-webkit-transition-delay: 0;
			
			-moz-transition: padding 0.2s, top 0.2s;
			
			-moz-transition-delay: 0;
			
			-o-transition: padding 0.2s, top 0.2s;
			
			-o-transition-delay: 0;
			
			padding:5px 5px;	
			top: -10px;		
			background-image: -moz-linear-gradient(top, #FCD500, #666), #9F8F0F);
			background-image: -webkit-gradient(linear,left top,left bottom,color-stop(0, #FCD500),color-stop(0.2, #666),color-stop(1, #9F8F0F));
		}